# $Revision: 1.36 $, $Date: 2010/11/28 15:57:03 $
#
# Conditional build:
%bcond_without	java		# with Java bindings
%bcond_without	perl		# without Perl bindings
%bcond_without	ruby		# without Ruby bindings
%bcond_without	static_libs	# don't build static libraries
#
%ifnarch i586 i686 pentium3 pentium4 athlon %{x8664}
%undefine with_java
%endif
#
Summary:	Quick Database Manager
Summary(pl.UTF-8):	Quick Database Manager - szybki silnik bazy danych
Name:		qdbm
Version:	1.8.78
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://fallabs.com/qdbm//%{name}-%{version}.tar.gz
# Source0-md5:	66b3bd69a651316b8d6adc2f21cf3225
Patch0:		%{name}-am_ac.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-ruby1.9.patch
URL:		http://fallabs.com/qdbm/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
%{?with_java:BuildRequires:	jdk}
%if %{with perl}
BuildRequires:  perl-devel >= 1:5.8.0
BuildRequires:  rpm-perlprov >= 4.1-13
%endif
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/qdbm

%description
QDBM is an embeded database library compatible with GDBM and NDBM. It
features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher
processing speed, smaller size of a database file, and simpler API.
This package includes API for C; APIs for C++, Java and CGI scripts
are contained in appropriate subpackages. APIs for Perl and Ruby
should be installed with a source package.

%description -l pl.UTF-8
QDBM to biblioteka wbudowanej bazy danych kompatybilnej z GDBM i NDBM.
Obsługuje bazy danych oparte na haszach oraz B+ drzewach; jest
tworzona na wzór GDBM-a mając na celu następujące trzy punkty: wyższą
szybkość przetwarzania, mniejszy rozmiar pliku bazy danych i prostsze
API. Ten pakiet zawiera API dla C; API dla C++ i Javy oraz skrypty CGI
znajdują się w odpowiednich podpakietach. API dla Perla i Ruby'ego
można doinstalować z pakietu źródłowego.

%package devel
Summary:	Header files, utilities and documentation for QDBM
Summary(pl.UTF-8):	Pliki nagłówkowe, narzędzia i dokumentacja dla QDBM-a
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files needed to develop programs using
the QDBM library. Some utility commands are also provided.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów z
użyciem biblioteki QDBM. Dołączone jest także trochę programów
narzędziowych.

%package static
Summary:	QDBM static library
Summary(pl.UTF-8):	Biblioteka statyczna QDBM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
QDBM static library.

%description static -l pl.UTF-8
Biblioteka statyczna QDBM.

%package plus
Summary:	C++ bindings for QDBM
Summary(pl.UTF-8):	Wiązania C++ dla QDBM-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plus
QDBM C++ bindings.

%description plus -l pl.UTF-8
Wiązania C++ dla QDBM-a.

%package plus-devel
Summary:	Header files for QDBM C++ bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań C++ dla QDBM-a
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-plus = %{version}-%{release}
Requires:	libstdc++-devel

%description plus-devel
This package contains header files needed to develop programs using
the QDBM C++ bindings.

%description plus-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów z
użyciem wiązań C++ QDBM-a.

%package plus-static
Summary:	C++ static library for QDBM
Summary(pl.UTF-8):	Statyczna biblioteka C++ QDBM-a
Group:		Development/Libraries
Requires:	%{name}-plus-devel = %{version}-%{release}

%description plus-static
This package contains static library to develop programs using the
QDBM C++ bindings.

%description plus-static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną do tworzenia programów z
użyciem wiązań C++ QDBM-a.

%package cgi
Summary:	CGI scripts with QDBM
Summary(pl.UTF-8):	Skrypty CGI dla QDBM-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description cgi
This package contains CGI scripts with QDBM, for administration of
databases, file uploading, and full-text search.

%description cgi -l pl.UTF-8
Ten pakiet zawiera skrypty CGI dla QDBM-a służące do administrowania
bazami danych, przesyłania plików i wyszukiwania pełnotekstowego.

%package java
Summary:	Java libraries for QDBM
Summary(pl.UTF-8):	Biblioteki Javy dla QDBM-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description java
QDBM Java bindings.

%description java -l pl.UTF-8
Biblioteki Javy dla QDBM-a.

%package java-devel
Summary:	Java development library for QDBM and documentation
Summary(pl.UTF-8):	Biblioteka programistyczna Javy dla QDBM-a i dokumentacja
Group:		Development/Libraries
Requires:	%{name}-java = %{version}-%{release}

%description java-devel
This package contains development library needed to develop programs
using the QDBM Java bindings.

%description java-devel -l pl.UTF-8
Ten pakiet zawiera bibliotekę programistyczną potrzebną do tworzenia
programów z użyciem wiązań Javy QDBM-a.

%package perl
Summary:	Perl libraries for QDBM
Summary(pl.UTF-8):	Biblioteki Perla dla QDBM-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description perl
QDBM Perl bindings.

%description perl -l pl.UTF-8
Biblioteki Perla dla QDBM-a.

%package ruby
Summary:	Ruby libraries for QDBM
Summary(pl.UTF-8):	Biblioteki Ruby dla QDBM-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%ruby_ver_requires_eq

%description ruby
QDBM Ruby bindings.

%description ruby -l pl.UTF-8
Biblioteki Ruby dla QDBM-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make} -j1

cd plus
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make} -j1
cd ..

%if %{with java}
cd java
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make} -j1
cd ..
%endif

%if %{with perl}
cd perl
%{__autoconf}
%configure
%{__make} -j1 \
	INSTALLDIRS=vendor \
	OPTIMIZE="%{rpmcflags}"
cd ..
%endif

%if %{with ruby}
cd ruby
%{__autoconf}
%configure
%{__make} -j1
cd ..
%endif

cd cgi
%{__aclocal}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure 
%{__make} -j1
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -j1 -C plus install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -j1 -C cgi install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with java}
%{__make} -j1 -C java install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with perl}
%{__make} -j1 -C perl install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with ruby}
%{__make} -j1 -C ruby install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	plus -p /sbin/ldconfig
%postun	plus -p /sbin/ldconfig

%post	java -p /sbin/ldconfig
%postun	java -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README THANKS
%attr(755,root,root) %{_libdir}/libqdbm.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/spex.html
%lang(ja) %doc doc/spex-ja.html
%attr(755,root,root) %{_bindir}/dpmgr
%attr(755,root,root) %{_bindir}/dptest
%attr(755,root,root) %{_bindir}/dptsv
%attr(755,root,root) %{_bindir}/crmgr
%attr(755,root,root) %{_bindir}/crtest
%attr(755,root,root) %{_bindir}/crtsv
%attr(755,root,root) %{_bindir}/rlmgr
%attr(755,root,root) %{_bindir}/rltest
%attr(755,root,root) %{_bindir}/hvmgr
%attr(755,root,root) %{_bindir}/hvtest
%attr(755,root,root) %{_bindir}/cbtest
%attr(755,root,root) %{_bindir}/cbcodec
%attr(755,root,root) %{_bindir}/vlmgr
%attr(755,root,root) %{_bindir}/vltest
%attr(755,root,root) %{_bindir}/vltsv
%attr(755,root,root) %{_bindir}/odmgr
%attr(755,root,root) %{_bindir}/odtest
%attr(755,root,root) %{_bindir}/odidx
%attr(755,root,root) %{_bindir}/qmttest
%attr(755,root,root) %{_libdir}/libqdbm.so
%{_libdir}/libqdbm.la
%{_includedir}/depot.h
%{_includedir}/curia.h
%{_includedir}/relic.h
%{_includedir}/hovel.h
%{_includedir}/cabin.h
%{_includedir}/villa.h
%{_includedir}/vista.h
%{_includedir}/odeum.h
%{_pkgconfigdir}/qdbm.pc
%{_mandir}/man1/dpmgr.1*
%{_mandir}/man1/dptest.1*
%{_mandir}/man1/dptsv.1*
%{_mandir}/man1/crmgr.1*
%{_mandir}/man1/crtest.1*
%{_mandir}/man1/crtsv.1*
%{_mandir}/man1/rlmgr.1*
%{_mandir}/man1/rltest.1*
%{_mandir}/man1/hvmgr.1*
%{_mandir}/man1/hvtest.1*
%{_mandir}/man1/cbtest.1*
%{_mandir}/man1/cbcodec.1*
%{_mandir}/man1/vlmgr.1*
%{_mandir}/man1/vltest.1*
%{_mandir}/man1/vltsv.1*
%{_mandir}/man1/odmgr.1*
%{_mandir}/man1/odtest.1*
%{_mandir}/man1/odidx.1*
%{_mandir}/man1/qmttest.1*
%{_mandir}/man3/qdbm.3*
%{_mandir}/man3/depot.3*
%{_mandir}/man3/dpopen.3*
%{_mandir}/man3/curia.3*
%{_mandir}/man3/cropen.3*
%{_mandir}/man3/relic.3*
%{_mandir}/man3/hovel.3*
%{_mandir}/man3/cabin.3*
%{_mandir}/man3/villa.3*
%{_mandir}/man3/vlopen.3*
%{_mandir}/man3/vista.3*
%{_mandir}/man3/odeum.3*
%{_mandir}/man3/odopen.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libqdbm.a
%endif

%files plus
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxqdbm.so.*.*.*

%files plus-devel
%defattr(644,root,root,755)
%doc plus/*.html plus/xapidoc
%attr(755,root,root) %{_bindir}/xdptest
%attr(755,root,root) %{_bindir}/xcrtest
%attr(755,root,root) %{_bindir}/xvltest
%attr(755,root,root) %{_libdir}/libxqdbm.so
%{_libdir}/libxqdbm.la
%{_includedir}/xqdbm.h
%{_includedir}/xadbm.h
%{_includedir}/xdepot.h
%{_includedir}/xcuria.h
%{_includedir}/xvilla.h

%if %{with static_libs}
%files plus-static
%defattr(644,root,root,755)
%{_libdir}/libxqdbm.a
%endif

%files cgi
%defattr(644,root,root,755)
%doc cgi/*.html
# don't move cgi binaries to /usr/lib/cgi-bin - write your own wrapper
# (shell script) instead, utilize SCRIPT_NAME env. var. and put into
# your cgi-bin directory
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/qadm.cgi
%attr(755,root,root) %{_libexecdir}/qupl.cgi
%attr(755,root,root) %{_libexecdir}/qfts.cgi
%dir %{_datadir}/qdbm
%dir %{_datadir}/qdbm/cgi
# *.conf are config templates not real configs - don't mark them with
# %%config, don't move it to /etc
%{_datadir}/qdbm/cgi/qadm.conf
%{_datadir}/qdbm/cgi/qupl.conf
%{_datadir}/qdbm/cgi/qfts.conf

%if %{with java}
%files java
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjqdbm.so.*.*.*
%{_libdir}/qdbm.jar

%files java-devel
%defattr(644,root,root,755)
%doc java/jspex.html java/japidoc
%lang(ja) %doc java/jspex-ja.html
%attr(755,root,root) %{_libdir}/libjqdbm.so
%{_libdir}/libjqdbm.la
%endif

%if %{with perl}
%files perl
%defattr(644,root,root,755)
%doc perl/plspex.html perl/plapidoc
%lang(ja) %doc perl/plspex-ja.html
%attr(755,root,root) %{_bindir}/plcrtest
%attr(755,root,root) %{_bindir}/pldptest
%attr(755,root,root) %{_bindir}/plvltest
%{perl_vendorarch}/Curia.pm
%{perl_vendorarch}/Depot.pm
%{perl_vendorarch}/Villa.pm
%dir %{perl_vendorarch}/auto/Curia
%{perl_vendorarch}/auto/Curia/Curia.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Curia/Curia.so
%dir %{perl_vendorarch}/auto/Depot
%{perl_vendorarch}/auto/Depot/Depot.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Depot/Depot.so
%dir %{perl_vendorarch}/auto/Villa
%{perl_vendorarch}/auto/Villa/Villa.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Villa/Villa.so
%endif

%if %{with ruby}
%files ruby
%defattr(644,root,root,755)
%doc ruby/rbspex.html ruby/rbapidoc
%lang(ja) %doc ruby/rbspex-ja.html
%attr(755,root,root) %{_bindir}/rbcrtest
%attr(755,root,root) %{_bindir}/rbdptest
%attr(755,root,root) %{_bindir}/rbvltest
%{ruby_sitelibdir}/curia.rb
%{ruby_sitelibdir}/depot.rb
%{ruby_sitelibdir}/villa.rb
%attr(755,root,root) %{ruby_sitearchdir}/mod_curia.so
%attr(755,root,root) %{ruby_sitearchdir}/mod_depot.so
%attr(755,root,root) %{ruby_sitearchdir}/mod_villa.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qdbm.spec,v $
Revision 1.36  2010/11/28 15:57:03  hawk
- release 2

Revision 1.35  2010/11/26 10:34:51  hawk
- updated to 1.8.78, updated URL

Revision 1.34  2010/06/06 08:53:36  arekm
- release 6

Revision 1.33  2010/03/01 15:58:14  baggins
- rel 5

Revision 1.32  2010/03/01 15:44:12  baggins
- use ruby 1.9 compatible macros

Revision 1.31  2009/09/19 14:03:58  kali
- added Makefile.patch (fix install)
- rel up

Revision 1.30  2009/03/15 22:43:32  hawk
- make -j1, release 3

Revision 1.29  2009/03/14 15:53:34  hawk
- release 2

Revision 1.28  2008/07/16 20:58:25  twittner
- up to 1.8.77
- -ac_am.patch updated

Revision 1.27  2008/06/14 10:33:19  arekm
- rel 3

Revision 1.26  2007-06-14 18:31:18  arekm
- rel 2

Revision 1.25  2007/03/09 20:51:07  twittner
- up to 1.8.75
- updated qdbm-am_ac.patch for 1.8.75
- removed qdbm-link.patch (its contents went to qdbm-am_ac.patch)

Revision 1.24  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.22  2006/10/31 23:22:51  twittner
- added -link.patch: - use `gcc' for linking instead `ld' in qdbm-perl
  because standard Th   content of LDFLAGS passed to %%configure
  contain '-Wl,...'
- rel. 2

Revision 1.21  2006/10/30 20:07:50  twittner
- up to 1.8.73

Revision 1.20  2006/09/12 19:10:49  twittner
- undefine with_java for i[34]86 too
- rel. 4

Revision 1.19  2006/09/12 19:01:58  twittner
- move undefine with_java before preamle (they are BRs dependent on with_java)
- rel. 3

Revision 1.18  2006/09/12 18:45:04  twittner
- undefine with_java on !x86.*
- rel. 2

Revision 1.17  2006/09/09 00:09:55  twittner
- up to 1.8.70

Revision 1.16  2006/09/01 18:11:51  twittner
- up to 1.8.67

Revision 1.15  2006/05/20 10:15:48  twittner
- toggle java bcond (on)

Revision 1.14  2006/05/19 21:55:32  twittner
- up to 1.8.55

Revision 1.13  2006/05/14 08:26:17  twittner
- up to 1.8.53

Revision 1.12  2006/05/07 20:08:08  twittner
- up to 1.8.51

Revision 1.11  2006/05/01 12:30:24  twittner
- up to 1.8.50

Revision 1.10  2006/04/29 13:00:54  twittner
- rel. 1

Revision 1.9  2006/04/22 00:02:12  qboosh
- package .la files
- -plus-devel R: -devel, libstdc++-devel

Revision 1.8  2006/04/21 16:40:43  twittner
- up to 1.8.49

Revision 1.7  2006/04/20 18:13:17  twittner
- rel. 1

Revision 1.6  2006/04/17 14:54:55  twittner
- added -am_ac.patch: replaces some ugly Makefile.in's with clear and nice
  Makefile.am's for proper linking, --enable-static option, ...
- perl pure_install fix moved from -perl-pure_install.patch to -am_ac.patch
- bcond_without static_libs
- rel. 0.3

Revision 1.5  2006/04/16 10:55:34  twittner
- added %%dir for some perl dirs

Revision 1.4  2006/04/16 08:08:00  twittner
- added omitted perl and ruby APIs
- added -perl-pure_install.patch: install perl files with
  pure_install make target (empty *.bs files are needed?)
- added to TODO question about linking
- force configure regeneration with %%{__autoconf} for future
  fixes in configure.in files - linking issue
- rel. 0.2

Revision 1.3  2006/04/15 19:01:38  qboosh
- pl, missing dirs

Revision 1.2  2006/04/10 21:27:22  twittner
- up to 1.8.48

Revision 1.1  2006/04/06 18:52:25  twittner
- added, based on spec enclosed with sources
